package com.allinpay.demo.xstruct.common;

import java.util.ArrayList;
import java.util.List;

public class AipgReq{
	private ReqHead HEAD;
	private List<Object> BODY;
	
	public AipgReq(){
		
	}
	
	public AipgReq(ReqHead reqHead){
		this.HEAD = reqHead;
	}
	
	public ReqHead getREQ_HEAD() {
		return HEAD;
	}
	public void setREQ_HEAD(ReqHead rEQ_HEAD) {
		HEAD = rEQ_HEAD;
	}
	
	public void setTrx(Object obj){
		if(BODY == null){
			BODY = new ArrayList<Object>(1);
		}
		if(BODY.size() == 0){
			BODY.add(obj);
		}
		BODY.set(0, obj);
	}
	
	public Object getTrx(){
		if(BODY == null || BODY.size() == 0){
			return null;
		}
		return BODY.get(0);
	}
	
	public void addTrx(Object obj){
		if(BODY == null){
			BODY = new ArrayList<Object>(1);
		}
		BODY.add(obj);
	}
	
	public <T> T findObj(Class<T> cls){
		if(BODY == null) return null;
		for(Object ox : BODY){
			if(cls.isInstance(ox)) return cls.cast(ox);
		}
		return null;
	}
	
}
